Skip to main content
DELETE
/
{version}
/
categories
/
{category}
Delete category
curl --request DELETE \
  --url https://api.perscom.io/{version}/categories/{category} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.perscom.io/{version}/categories/{category}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.perscom.io/{version}/categories/{category}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "name": "<string>",
    "resource": "<string>",
    "id": 123,
    "description": "<string>",
    "label": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}
{
  "error": {
    "message": "You are not authenticated. Please provide a valid API key that contains your PERSCOM ID to continue.",
    "type": "AuthenticationException",
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  }
}
{
  "error": {
    "message": "A valid subscription is required to complete this request.",
    "type": "HttpException",
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  }
}
{
  "error": {
    "message": "The API key provided does not have the correct permissions and/or scopes to perform the requested action.",
    "type": "HttpException",
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  }
}
{
  "error": {
    "message": "The requested resource or endpoint could not be found.",
    "type": "NotFoundHttpException",
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  }
}
{
  "error": {
    "message": "You have exceeded the API rate limit. Please wait a minute before trying again.",
    "type": "ThrottleRequestsException",
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  }
}
{
  "error": {
    "message": "The API is currently down for maintenance. Please check back later.",
    "type": "HttpException",
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
enum<string>
default:v2
required

The API version to use.

Available options:
v1,
v2
category
integer
required

Query Parameters

include
enum<string>
Available options:
awards,
documents,
forms,
qualifications,
ranks

Response

OK

data
CategoryResource · object